DH_OCAMLINIT(1)

NAME
dh_ocamlinit - Substitutes ocaml variables in debian/*.in files with their corresponding value.

SYNOPSIS
dh_ocamlinit [debhelper options]

DESCRIPTION
dh_ocamlinit looks for debian/*.in files and replaces all present variables (like @OCAML_ABI@, @OCamlStdlibDir@ and @OCamlDllDir@) with the corresponding value.

Lines in files debian/*.in prefixed with OPT are only kept when ocaml compilation to native code is supported, lines prefixed with BYTE are only kept when compilation to native code is not supported, and lines prefixed with DYN are kept when dynamic linking is supported. dh_ocamlinit handles additional substitutions by specifying them in the OCAMLINIT_SED environment variable.

OPTIONS

-d  Clean files generated from present debian/*.in ones and exit. This option is deprecated, use dh_ocamlclean instead.

SEE ALSO
debhelper(7), dh(1), dh_ocaml(1), dh_ocamlclean(1)

This program is meant to be used together with debhelper.

AUTHOR
Mehdi Dogguy <mehdi@debian.org>